Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class DTDGrammar.QNameHashtable

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.DTDGrammar.QNameHashtable

Enclosing class:
  DTDGrammar

protected static final class DTDGrammar.QNameHashtable
extends java.lang.Object

A simple Hashtable implementation that takes a tuple (String, String) as the key and a int as value.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Eric Ye, IBM, Andy Clark, IBM

Constructor Summary
`protected` | `DTDGrammar.QNameHashtable()`

Method Summary
`int` | `get(java.lang.String key)` Returns the value associated with the specified key tuple.
`void` | `put(java.lang.String key, int value)` Associates the given value with the specified key tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDGrammar.QNameHashtable

    protected DTDGrammar.QNameHashtable()

Method Detail

### put

    public void put(java.lang.String key,
                    int value)

  Associates the given value with the specified key tuple.

### get

    public int get(java.lang.String key)

  Returns the value associated with the specified key tuple.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.